Package com.ocient.jdbc.proto

## Class ClientWireProtocol.CancelQueryResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.CancelQueryResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.CancelQueryResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.CancelQueryResponse

    public static final class ClientWireProtocol.CancelQueryResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>
    implements ClientWireProtocol.CancelQueryResponseOrBuilder

Protobuf type `xg.cmdcomp.CancelQueryResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.CancelQueryResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.CancelQueryResponse` `build()`
`ClientWireProtocol.CancelQueryResponse` `buildPartial()`
`ClientWireProtocol.CancelQueryResponse.Builder` `clear()`
`ClientWireProtocol.CancelQueryResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.CancelQueryResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.CancelQueryResponse.Builder` `clearResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.CancelQueryResponse.Builder` `clone()`
`ClientWireProtocol.CancelQueryResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` `getResponseBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.CancelQueryResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.CancelQueryResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.CancelQueryResponse.Builder` `mergeFrom​(ClientWireProtocol.CancelQueryResponse other)`
`ClientWireProtocol.CancelQueryResponse.Builder` `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.CancelQueryResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.CancelQueryResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.CancelQueryResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.CancelQueryResponse.Builder` `setResponse​(ClientWireProtocol.ConfirmationResponse value)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.CancelQueryResponse.Builder` `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.CancelQueryResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### clear

    public ClientWireProtocol.CancelQueryResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.CancelQueryResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.CancelQueryResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.CancelQueryResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.CancelQueryResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### setField

    public ClientWireProtocol.CancelQueryResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### clearField

    public ClientWireProtocol.CancelQueryResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### clearOneof

    public ClientWireProtocol.CancelQueryResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### setRepeatedField

    public ClientWireProtocol.CancelQueryResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                           int index,
                                                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### addRepeatedField

    public ClientWireProtocol.CancelQueryResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### mergeFrom

    public ClientWireProtocol.CancelQueryResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### mergeFrom

    public ClientWireProtocol.CancelQueryResponse.Builder mergeFrom​(ClientWireProtocol.CancelQueryResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### mergeFrom

    public ClientWireProtocol.CancelQueryResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`
Throws:
  `IOException`

#### hasResponse

    public boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.CancelQueryResponseOrBuilder`
Returns:
  Whether the response field is set.

#### getResponse

    public ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.CancelQueryResponseOrBuilder`
Returns:
  The response.

#### setResponse

    public ClientWireProtocol.CancelQueryResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### setResponse

    public ClientWireProtocol.CancelQueryResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### mergeResponse

    public ClientWireProtocol.CancelQueryResponse.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### clearResponse

    public ClientWireProtocol.CancelQueryResponse.Builder clearResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getResponseBuilder

    public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getResponseOrBuilder

    public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.CancelQueryResponseOrBuilder`

#### setUnknownFields

    public final ClientWireProtocol.CancelQueryResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.CancelQueryResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CancelQueryResponse.Builder>`